<?php
namespace Teknisa\CMP\Services;

use Exception;

class Cmp99000GeracaoAfPrevisaoService
{
    protected $newCode;
    protected $environment;

    public function __construct($environment, $newCode)
    {
        $this->environment = $environment;
        $this->newCode = $newCode;
    }

    public function generateCode($newCode, $nrorg)
    {
        try {
            $code = $this->newCode->getCodeByTableName($newCode, $nrorg);

            return $code;
        } catch (\Exception $e) {
            throw $e;
        }
    }
}
